curl --request POST \
--url https://api.effectiveai.app/api/v2/objections/{id}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"seq": 1073741824,
"text": "<string>",
"submissionItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseText": "<string>",
"status": "open"
}
'import requests
url = "https://api.effectiveai.app/api/v2/objections/{id}/items"
payload = {
"seq": 1073741824,
"text": "<string>",
"submissionItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseText": "<string>",
"status": "open"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
seq: 1073741824,
text: '<string>',
submissionItemId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
responseText: '<string>',
status: 'open'
})
};
fetch('https://api.effectiveai.app/api/v2/objections/{id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.effectiveai.app/api/v2/objections/{id}/items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'seq' => 1073741824,
'text' => '<string>',
'submissionItemId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'responseText' => '<string>',
'status' => 'open'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.effectiveai.app/api/v2/objections/{id}/items"
payload := strings.NewReader("{\n \"seq\": 1073741824,\n \"text\": \"<string>\",\n \"submissionItemId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"responseText\": \"<string>\",\n \"status\": \"open\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.effectiveai.app/api/v2/objections/{id}/items")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"seq\": 1073741824,\n \"text\": \"<string>\",\n \"submissionItemId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"responseText\": \"<string>\",\n \"status\": \"open\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.effectiveai.app/api/v2/objections/{id}/items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"seq\": 1073741824,\n \"text\": \"<string>\",\n \"submissionItemId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"responseText\": \"<string>\",\n \"status\": \"open\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"objectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seq": 1073741824,
"text": "<string>",
"submissionItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseText": "<string>",
"status": "open",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}Add a regulator request to an objection
Store one regulator request as a numbered item. Defaults to open; item numbers are unique within this objection. Optional submissionItemId must belong to the same filing. Does not start triage or notify an agent. Requires edit access to a managed filing and its objection. Not idempotent: reconcile the item list by seq after an uncertain response before retrying.
curl --request POST \
--url https://api.effectiveai.app/api/v2/objections/{id}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"seq": 1073741824,
"text": "<string>",
"submissionItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseText": "<string>",
"status": "open"
}
'import requests
url = "https://api.effectiveai.app/api/v2/objections/{id}/items"
payload = {
"seq": 1073741824,
"text": "<string>",
"submissionItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseText": "<string>",
"status": "open"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
seq: 1073741824,
text: '<string>',
submissionItemId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
responseText: '<string>',
status: 'open'
})
};
fetch('https://api.effectiveai.app/api/v2/objections/{id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.effectiveai.app/api/v2/objections/{id}/items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'seq' => 1073741824,
'text' => '<string>',
'submissionItemId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'responseText' => '<string>',
'status' => 'open'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.effectiveai.app/api/v2/objections/{id}/items"
payload := strings.NewReader("{\n \"seq\": 1073741824,\n \"text\": \"<string>\",\n \"submissionItemId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"responseText\": \"<string>\",\n \"status\": \"open\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.effectiveai.app/api/v2/objections/{id}/items")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"seq\": 1073741824,\n \"text\": \"<string>\",\n \"submissionItemId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"responseText\": \"<string>\",\n \"status\": \"open\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.effectiveai.app/api/v2/objections/{id}/items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"seq\": 1073741824,\n \"text\": \"<string>\",\n \"submissionItemId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"responseText\": \"<string>\",\n \"status\": \"open\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"objectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seq": 1073741824,
"text": "<string>",
"submissionItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responseText": "<string>",
"status": "open",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}Authorizations
Effective API key. Send Authorization: Bearer sk-eai-...
Path Parameters
Body
Positive letter or item number, unique within its parent.
1 <= x <= 2147483647Original regulator request. Triage analyzes this text; it does not extract it from a letter.
1 - 100000\SOptional citation to a recorded submission item from the same filing. Null clears it.
Regulator-facing response draft. Saving a draft does not resolve the item or send it to SERFF.
1 - 20000\SItem work status, independent of triage execution and discussion resolution.
open, in_progress, resolved Response
Workspace record.
Positive letter or item number, unique within its parent.
1 <= x <= 2147483647Original regulator request. Triage analyzes this text; it does not extract it from a letter.
1\SOptional citation to a recorded submission item from the same filing. Null clears it.
Regulator-facing response draft. Saving a draft does not resolve the item or send it to SERFF.
1\SItem work status, independent of triage execution and discussion resolution.
open, in_progress, resolved